### Enumeration

# Cogl BufferAccess

#### Declaration

    flags Cogl.BufferAccess

#### Description [src]

The access hints for `cogl_buffer_set_update_hint()`.

#### Members

`COGL_BUFFER_ACCESS_READ`

  The buffer will be read.

  - Value: `1`
  - Available since: 16
`COGL_BUFFER_ACCESS_WRITE`

  The buffer will written to.

  - Value: `2`
  - Available since: 16
`COGL_BUFFER_ACCESS_READ_WRITE`

  The buffer will be used for both reading and writing.

  - Value: `3`
  - Available since: 16